Page MenuHomePhabricator

allow zotero container nodejs server to define the amount of heap used instead of the fixed limit of 1.7Gi
Closed, ResolvedPublic

Description

we had a briefly outage of one minute when zotero was unresponsive, our current believe is that nodejs heap size was filled up and hence the server wasn't responding

https://grafana.wikimedia.org/d/000000620/xxxx-zotero-debugging-kubernetes?orgId=1&from=1547060027804&to=1547062295521

In order to change that we need to change the docker image to allow an adjustable heap size and modify also the helm chart to allow to define the max heap size which should be Pod Mem Limit size - X, where X is the amount of RAM the nodejs app is using besides heap.

Event Timeline

fsero created this task.Jan 10 2019, 12:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 10 2019, 12:26 PM
jijiki added a subscriber: jijiki.

Change 483395 had a related patch set uploaded (by Fsero; owner: Fsero):
[mediawiki/services/zotero@master] Added NODE_V8_HEAP_SIZE_IN_MB env variable and made node honor it.

https://gerrit.wikimedia.org/r/483395

Change 483398 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/deployment-charts@master] Added defaults of node heap size to match the new one introduced.

https://gerrit.wikimedia.org/r/483398

Change 483395 merged by jenkins-bot:
[mediawiki/services/zotero@master] Added NODE_V8_HEAP_SIZE_IN_MB env variable and made node honor it.

https://gerrit.wikimedia.org/r/483395

fsero moved this task from Backlog to Incoming on the serviceops board.Jan 14 2019, 10:08 AM
fsero moved this task from Incoming to Backlog on the serviceops board.
fsero moved this task from Backlog to Doing on the serviceops board.
akosiaris triaged this task as Normal priority.Jan 14 2019, 3:06 PM
akosiaris added a subscriber: akosiaris.

An image that allows overriding the node heap has now been deployed.

Mvolz moved this task from Backlog to Production on the Citoid board.Feb 26 2019, 9:43 AM
fsero closed this task as Resolved.Jun 20 2019, 2:05 PM

Change 483398 abandoned by Fsero:
Added defaults of node heap size to match the new one introduced.

https://gerrit.wikimedia.org/r/483398